#ifndef __KIDEKIN_TRNG_H__
#define __KIDEKIN_TRNG_H__

#include <cstdint>

//default is to output some information message on stdout
//if called with verbose_value=false, only fatal error message will be printed out.
void kidekin_trng_set_verbose(bool verbose_value);

//find the index of a kidekin_trng device 
//call this with 0 to find the first device.
unsigned int kidekin_trng_find_next(unsigned int start_index);

//return false if the device could not be openned
bool kidekin_trng_open(unsigned int device_index);

//return the number of bytes actually received, it should be equal to len, otherwise this indicates an error.
//if it is less than len, subsequent calls are likely to fail.
unsigned int kidekin_trng_read(uint8_t *rxBuffer, unsigned int len);

void kidekin_trng_close(void);

#endif
